Bug 1326205 (CVE-2016-2173) - CVE-2016-2173 springframework-amqp: remote code execution
Summary: CVE-2016-2173 springframework-amqp: remote code execution
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-2173
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1326206
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-12 07:22 UTC by Andrej Nemec
Modified: 2019-09-29 13:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:50:34 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-04-12 07:22:28 UTC
A remote code execution vulnerability was found in Spring AMQP. The class org.springframework.core.serializer.DefaultDeserializer does not validate the deserialized object against a whitelist. By supplying a crafted serialized object like Chris Frohoff's Commons Collection gadget, remote code execution can be achieved.

External references:

https://jira.spring.io/browse/AMQP-590
http://pivotal.io/security/cve-2016-2173

Upstream fix:

https://github.com/spring-projects/spring-amqp/commit/4150f107e60cac4a7735fcf7cb4c1889a0cbab6c

Comment 1 Andrej Nemec 2016-04-12 07:22:47 UTC
Created springframework-amqp tracking bugs for this issue:

Affects: fedora-all [bug 1326206]

Comment 2 Fedora Update System 2016-04-17 23:43:16 UTC
springframework-amqp-1.3.9-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-04-20 19:21:05 UTC
springframework-amqp-1.3.9-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-04-22 01:49:33 UTC
springframework-amqp-1.3.9-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:50:34 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.